Subject: Enron's P-Card Program
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 6 Dec 2000 03:04:00 -0800 (PST)

Lisa,
Barry Proud at ETOL in England is interested in setting-up a P-Card program 
at his facility.  Please contact Barry directly to initiate the program.

Regards,
Mike